Subject: Re: [bug#66801] [PATCH] mix-build-system: draft 1

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 28 Oct 2023 23:43:46 +0200

Am Samstag, dem 28.10.2023 um 22:19 +0200 schrieb Pierre-Henry
Fröhring:
> This commit introduces a mix-build-system. The provided code ensures
> that the following code runs without errors:
> 
> ./pre-inst-env guix build elixir-machete
> 
> A key challenge is the lack of bit reproducibility, in part due to
> rebar3's lack of bit reproducibility. Future patches may address
> this, and I welcome feedback.
> 
> Given the changes, splitting them into focused patches might be best.
> As a first-time contributor, I seek advice on a suitable patch
> sequence.
> 
> I also request guidance from the Guix community for a seamless
> integration. Please suggest next steps for the mix-build-system
> integration.
> 
> Thank you.
> ---
I'd suggest the following order:
1. Clean up your changes for rebar-build-system
2. Add all the packages that can be built with rebar-build-system
3. Add mix-build-system
4. Add all the packages that need to be built with mix-build-system

Steps 2 and 4 should be further split in one patch per package with
each package only requiring the previous ones to build.

> +(define* (tar-unpack tar)
> +  [...])
> +(define* (phase-unpack #:key source #:allow-other-keys)
> +  (tar-unpack source))
That's a little silly, isn't it?  Stick with a single procedure please.
Also, we're not doing Hungarian variable names.

Cheers